function TonTaiUser(){
	inlineMsg('existUser','Tài Khoản Này Đã Có Người Sử Dụng');
}

function TonTaiEmail(){
	inlineMsg('existEmail','Email Này Đã Có Người Sử Dụng');
	}


$(document).ready(function()
{
	$("#user").blur(function()
	{
		//remove all the class add the messagebox classes and start fading
		$("#msguserbox").html('<img src="images/spinner.gif">').fadeIn("slow");
		//check the user exists or not from ajax
		$.post("Ajax?rep=checkuser",{ user:$(this).val() } ,function(data)
        {
		  if(data=='false') //if user not avaiable
		  {
		  	$("#msguserbox").fadeTo(200,0.1,function() //start fading the messagebox
			{ 
			  //add message and change the class of the box and start fading
		  		$(this).html('<img id="existUser" title="Tài Khoản Này Đã Có Người Sử Dụng" style="cursor: pointer;" onclick="return TonTaiUser();"  height="20" width="20" src="images/error_cart.png">').fadeTo(900,1);
		  		document.getElementById("user").style.backgroundColor = "pink";
				  inlineMsg('existUser','Tài Khoản Này Đã Có Người Sử Dụng');	
				 
			  
			});		
          }
		  else
		  {
		  	$("#msguserbox").fadeTo(200,0.1,function()  //start fading the messagebox
			{ 
			  //add message and change the class of the box and start fading
		  		$(this).html('').fadeTo(900,1);
		  		document.getElementById("user").style.backgroundColor = "white";
		  		
			});
		  }
				
        });
 
	});
	
	
	$("#email").blur(function()
			{
				//remove all the class add the messagebox classes and start fading
				$("#msgemailbox").html('<img src="images/spinner.gif">').fadeIn("slow");
				//check the user exists or not from ajax
				$.post("Ajax?rep=checkemail",{ email:$(this).val() } ,function(data)
		        {
				  if(data=='false') //if user not avaiable
				  {
				  	$("#msgemailbox").fadeTo(200,0.1,function() //start fading the messagebox
					{ 
					  //add message and change the class of the box and start fading
				  		$(this).html('<img id="existEmail" title="Email Này Đã Có Người Sử Dụng" style="cursor: pointer;" onclick="return TonTaiEmail();"  height="20" width="20" src="images/error_cart.png">').fadeTo(900,1);
				  		document.getElementById("email").style.backgroundColor = "pink";
						  inlineMsg('existEmail','Email Này Đã Có Người Sử Dụng');	
						  
					});		
		          }
				  else
				  {
				  	$("#msgemailbox").fadeTo(200,0.1,function()  //start fading the messagebox
					{ 
					  //add message and change the class of the box and start fading
				  		 $(this).html('').fadeTo(900,1);
				  		document.getElementById("email").style.backgroundColor = "white";
				  		
					});
				  }
						
		        });
		 
			});
	
	
	
});